package handler

import (
	"ticket-pimp/bot/controller"
	"ticket-pimp/internal/services"
)

type Handler struct {
	workflow controller.IWorkflowController
	git      services.IGit
	cloud    services.ICloud
	coda     services.ICoda
	key      string
	id       string
}

func NewHandler(
	git services.IGit,
	cloud services.ICloud,
	coda services.ICoda,
) *Handler {

	return &Handler{
		workflow: controller.NewWorkflowController(git, cloud, coda),
		git:      git,
		cloud:    cloud,
		coda:     coda,
	}
}
